Loading...
Searching...
No Matches
openshot::AudioDevices Class Reference

A class which probes the available audio devices. More...

`#include <AudioDevices.h>`

## Public Member Functions

| AudioDevices ()=default
AudioDeviceList | getNames ()

## Detailed Description

A class which probes the available audio devices.

Definition at line 45 of file AudioDevices.h.

## Constructor & Destructor Documentation

## AudioDevices()

openshot::AudioDevices::AudioDevices | ( |  | ) |

default

## Member Function Documentation

## getNames()

AudioDeviceList AudioDevices::getNames | ( |  | ) |

Return a vector of std::pair<> objects holding the device name and type for each audio device detected

Definition at line 21 of file AudioDevices.cpp.

Referenced by openshot::QtPlayer::GetAudioDeviceNames().

The documentation for this class was generated from the following files:

- AudioDevices.h
- AudioDevices.cpp